skb_store_bits
Prev | Socket Buffer Functions | Next

## Name

skb_store_bits — store bits from kernel buffer to skb

## Synopsis

`int skb_store_bits (` | struct sk_buff * | skb,
| int | offset,
| const void * | from,
| int | len`)`;

## Arguments

`skb`

  destination buffer

`offset`

  offset in destination

`from`

  source buffer

`len`

  number of bytes to copy

## Description

Copy the specified number of bytes from the source buffer to the destination skb. This function handles all the messy bits of traversing fragment lists and such.

Prev | Up | Next
__pskb_pull_tail | Home | skb_dequeue